/*
 * $Id: selectsubbookdlg.h,v 1.2 2000/06/19 06:32:09 hige Exp $
 *
 * Copyright (C) 1999 SUZUKI, Mitsuhiro <hige@higesoft.rim.or.jp>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef SELECTSUBBOOK_H
#define SELECTSUBBOOK_H

#include <string>
#include <vector>
#include <qdialog.h>

class QListBox;

class SelectSubbookDlg : public QDialog
{
    Q_OBJECT
public:
    SelectSubbookDlg(const vector<string>& list,
                        int selectl_subbook,
                        QWidget *parent=0, const char *name=0);
    virtual ~SelectSubbookDlg()  {};
    //
    int         getSelectedSubbook() {return m_selected_subbook;}
    
public slots:
    void        onSelected(int i) {m_selected_subbook = i;}

protected:
    virtual bool eventFilter(QObject* obj, QEvent* ev);
    
private:
    int             m_selected_subbook;
    QListBox*       m_lb_subbooklist;
};

#endif // SELECTSUBBOOK_HPP
